ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Di Li (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (AMBARI-11935) Rolling upgrade after a downgrade fails the precheck with error "All hosts should have target version installed"
Date Fri, 19 Jun 2015 21:17:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-11935?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Di Li reassigned AMBARI-11935:
------------------------------

    Assignee: Di Li

> Rolling upgrade after a downgrade fails the precheck with error "All hosts should have
target version installed"
> ----------------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-11935
>                 URL: https://issues.apache.org/jira/browse/AMBARI-11935
>             Project: Ambari
>          Issue Type: Bug
>          Components: ambari-server
>    Affects Versions: 2.1.0
>            Reporter: Di Li
>            Assignee: Di Li
>             Fix For: 2.1.0
>
>
> 1. Perform rolling upgrade
> 2. Clicked Downgrade once it reached the "Finalize" step.
> 3. Once the downgrade finished successfully, went to the "Stack and  Versions" page and
clicked the Rolling upgrade button.
> 4. The rolling upgrade failed the precheck with error "All hosts should have target version
installed"
> The binaries (RPMs) however were installed. 
> This seems to be a issue in the database and the HostsRepositoryVersionCheck.java where
the check expects the BI 4.1 repo on each host to be in the "INSTALLED" state, whereas the
database still has the state as "UPGRADED" after the downgrade.
> Workaround is to click the "Reinstall Packages" button first, wait for the reinstall
to finish (should be very quickly as the RPMs were already installed), then click Rolling
Upgrade.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message